%define realname PyPar2
Name:		pypar2
Version:	1.4
Release:	%mkrel 5
License:	GPL
Group:		File tools	
Summary:	Graphical frontend for the Linux par2 command line
URL:		http://pypar2.silent-blade.org/
Source0:	http://pypar2.silent-blade.org/uploads/Main/%{name}-%{version}.tar.xz
Patch0:		pypar2-1.4-fix-crash-typeorder.patch
Patch2:         pypar2-1.4-xmldomext.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	pygtk2.0-devel
BuildRequires:	pygtk2.0-libglade
BuildRequires:	desktop-file-utils
BuildRequires:	python-vte
Requires:       pygtk2.0
Requires:       pygtk2.0-libglade
Requires:       parchive2
Requires:       python-vte
Requires(post): desktop-file-utils 
Requires(postun): desktop-file-utils

%description
PyPar2 is a graphical frontend for the Linux par2 command line, 
written in Python. Its GUI uses GTK through the PyGTK library.

PyPar2 is designed to be very easy to use. For this reason:

    * Advanced settings are present, but hidden by default.
    * There is no preferences dialog, all selected options 
      are automatically saved and restored. 

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch2

perl -pi -e "s!/usr/local!%{buildroot}/usr!g" Makefile

%build


%install
rm -rf $RPM_BUILD_ROOT

make install

perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Archiving" \
  --remove-category="Application" \
  --remove-category="ConsoleOnly" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/pypar2.desktop

rm -f %{buildroot}/%{_bindir}/pypar2
echo "python /usr/share/pypar2/src/main.py" > %{buildroot}/%{_bindir}/pypar2

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%{_datadir}/applications/pypar2.desktop
%{_mandir}/man1/pypar2.*
%{_datadir}/%{name}/res/*.glade
%{_datadir}/%{name}/src/*.py
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/pix/*.png
%defattr(755,root,root)
%{_bindir}/pypar2


%changelog
* Mon Oct 03 2016 adrianomorselli <adrianomorselli> 1.4-4uplos2016
- rebuild

* Sun Jan 03 2016 bb <bb> 1.4-4pclos2016
- apply patches

* Mon Apr 06 2015 pinoc <vogtpet at gmail.com> 1.4-3pclos2015
- Drop obsolete BR python-pyxml

* Wed Aug 14 2013 billybot <billybot>
- update

